summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-10-26 07:03:05 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-10-26 07:03:05 +0000
commit48e7d495f133083c95e1a9b03789e6b1ae296920 (patch)
tree7a077b7c77fa21f65d8e0834b33d1818fb0de3e1 /dev-python
parent5dc6f654bca2afc9a111af17fb81f969f9293d81 (diff)
downloadbaldeagleos-repo-48e7d495f133083c95e1a9b03789e6b1ae296920.tar.gz
baldeagleos-repo-48e7d495f133083c95e1a9b03789e6b1ae296920.tar.xz
baldeagleos-repo-48e7d495f133083c95e1a9b03789e6b1ae296920.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aiohttp/aiohttp-3.13.1.ebuild2
-rw-r--r--dev-python/autobahn/autobahn-25.10.2.ebuild2
-rw-r--r--dev-python/b2sdk/Manifest2
-rw-r--r--dev-python/b2sdk/b2sdk-2.10.1.ebuild (renamed from dev-python/b2sdk/b2sdk-2.9.4-r1.ebuild)5
-rw-r--r--dev-python/backports-zstd/backports-zstd-1.0.0-r1.ebuild2
-rw-r--r--dev-python/base58/base58-2.1.1.ebuild2
-rw-r--r--dev-python/cmd2/cmd2-2.7.0.ebuild2
-rw-r--r--dev-python/django-otp/Manifest2
-rw-r--r--dev-python/django-otp/django-otp-1.6.3.ebuild (renamed from dev-python/django-otp/django-otp-1.6.1.ebuild)0
-rw-r--r--dev-python/dnspython/dnspython-2.8.0.ebuild2
-rw-r--r--dev-python/gssapi/gssapi-1.10.0.ebuild2
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.142.4.ebuild125
-rw-r--r--dev-python/lxml/lxml-6.0.2.ebuild2
-rw-r--r--dev-python/matplotlib-venn/matplotlib-venn-1.1.2.ebuild14
-rw-r--r--dev-python/minify-html/Manifest2
-rw-r--r--dev-python/minify-html/minify-html-0.18.1.ebuild47
-rw-r--r--dev-python/mygpoclient/mygpoclient-1.10.ebuild3
-rw-r--r--dev-python/mypy/mypy-1.18.1.ebuild2
-rw-r--r--dev-python/nbxmpp/nbxmpp-6.3.0.ebuild2
-rw-r--r--dev-python/nbxmpp/nbxmpp-6.3.1.ebuild2
-rw-r--r--dev-python/numexpr/numexpr-2.12.1.ebuild2
-rw-r--r--dev-python/pikepdf/Manifest1
-rw-r--r--dev-python/pikepdf/pikepdf-10.0.0.ebuild59
-rw-r--r--dev-python/psycopg/Manifest1
-rw-r--r--dev-python/psycopg/psycopg-3.2.10.ebuild2
-rw-r--r--dev-python/psycopg/psycopg-3.2.12.ebuild119
-rw-r--r--dev-python/pycares/pycares-4.11.0.ebuild2
-rw-r--r--dev-python/pyenchant/pyenchant-3.3.0.ebuild2
-rw-r--r--dev-python/pygobject/pygobject-3.48.2-r1.ebuild2
-rw-r--r--dev-python/pygobject/pygobject-3.50.0.ebuild2
-rw-r--r--dev-python/pygobject/pygobject-3.50.1.ebuild2
-rw-r--r--dev-python/pylsqpack/pylsqpack-0.3.23.ebuild2
-rw-r--r--dev-python/pynacl/pynacl-1.6.0.ebuild2
-rw-r--r--dev-python/pyqt5-sip/pyqt5-sip-12.17.1.ebuild2
-rw-r--r--dev-python/python-distutils-extra/python-distutils-extra-2.47.ebuild2
-rw-r--r--dev-python/python-json-logger/python-json-logger-4.0.0_rc1.ebuild2
-rw-r--r--dev-python/rich-argparse/rich-argparse-1.7.1.ebuild2
-rw-r--r--dev-python/setproctitle/setproctitle-1.3.7.ebuild2
-rw-r--r--dev-python/termcolor/Manifest1
-rw-r--r--dev-python/termcolor/termcolor-3.2.0.ebuild28
41 files changed, 423 insertions, 37 deletions
diff --git a/dev-python/aiohttp/aiohttp-3.13.1.ebuild b/dev-python/aiohttp/aiohttp-3.13.1.ebuild
index 391accd5bfd4..8eb9b27f8e6f 100644
--- a/dev-python/aiohttp/aiohttp-3.13.1.ebuild
+++ b/dev-python/aiohttp/aiohttp-3.13.1.ebuild
@@ -18,7 +18,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~x86"
IUSE="+native-extensions test-rust"
DEPEND="
diff --git a/dev-python/autobahn/autobahn-25.10.2.ebuild b/dev-python/autobahn/autobahn-25.10.2.ebuild
index 9ebc65341040..84aa27d316a2 100644
--- a/dev-python/autobahn/autobahn-25.10.2.ebuild
+++ b/dev-python/autobahn/autobahn-25.10.2.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
IUSE="+native-extensions test xbr"
RESTRICT="!test? ( test )"
diff --git a/dev-python/b2sdk/Manifest b/dev-python/b2sdk/Manifest
index aa6c4224fa75..c20b47305908 100644
--- a/dev-python/b2sdk/Manifest
+++ b/dev-python/b2sdk/Manifest
@@ -1,2 +1,2 @@
DIST b2sdk-2.10.0.gh.tar.gz 423479 BLAKE2B 04dc1c347817ef537c6c6a217e69baa0e54d0dce75601926c785f6dd43a402b30e3936e1062e7da988d3aac143b5541ed5e35f49b0175f1440a94018605794af SHA512 16bdd1d5bcc503fd1262ebe92518adfff77981370598d06044dd1ab8e8bccb6ae1d5072831a13bf58bf9571fada076e1c5389c5472f2b9e1617a734e946200f4
-DIST b2sdk-2.9.4.gh.tar.gz 412163 BLAKE2B 8bb3273ff9bc73de76466845e165f3d9b16f1cff19ea88758162cfa21320e8670bb816e7ad21190e54a450c6088d749388c3864f206a6ed31c07a7f1c2a599f1 SHA512 b14d373ea5d68406660a8c461bc5e9c31ee0ef672fc80d79d21b3a64b1ac1c56366c58f330d7b57e4b376b7b87bb1c84efed1e73b2e8a958ec725e8bdb9342f3
+DIST b2sdk-2.10.1.gh.tar.gz 423901 BLAKE2B 13695181133e0df9a313cc0352f10f3d7dd5b301c87f6edce1ef88292eee2fdf78a48d79a8a3690c43abeb6dac3193955371260aa126bb9b0bcd1f0a67f99f4c SHA512 c2c74bd1ae33801ef2f3a13781a423efd10843283a2b976ccbf4baac80a586be2b827f862fa1d0d8b7bdcd662c75a37b4687b162672421a040c74ca47fb272c5
diff --git a/dev-python/b2sdk/b2sdk-2.9.4-r1.ebuild b/dev-python/b2sdk/b2sdk-2.10.1.ebuild
index 939d94275a30..af71b82f77d6 100644
--- a/dev-python/b2sdk/b2sdk-2.9.4-r1.ebuild
+++ b/dev-python/b2sdk/b2sdk-2.10.1.ebuild
@@ -26,6 +26,7 @@ RDEPEND="
>=dev-python/annotated-types-0.5.0[${PYTHON_USEDEP}]
>=dev-python/logfury-1.0.1[${PYTHON_USEDEP}]
>=dev-python/requests-2.9.1[${PYTHON_USEDEP}]
+ >=dev-python/tenacity-9.1.2[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
@@ -42,7 +43,11 @@ EPYTEST_IGNORE=(
test/integration/test_sync.py
test/integration/test_upload.py
test/integration/test_raw_api.py
+ # ... and they fail to import w/ pytest-8.4.1 anyway because of
+ # pytest_plugins at non-top-level.
+ test/integration
)
+EPYTEST_PLUGINS=( pytest-{lazy-fixtures,mock,timeout} )
export PDM_BUILD_SCM_VERSION=${PV}
diff --git a/dev-python/backports-zstd/backports-zstd-1.0.0-r1.ebuild b/dev-python/backports-zstd/backports-zstd-1.0.0-r1.ebuild
index fe106afa50bf..a57bc005c25c 100644
--- a/dev-python/backports-zstd/backports-zstd-1.0.0-r1.ebuild
+++ b/dev-python/backports-zstd/backports-zstd-1.0.0-r1.ebuild
@@ -19,7 +19,7 @@ HOMEPAGE="
LICENSE="PSF-2"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~x86"
DEPEND="
app-arch/zstd:=
diff --git a/dev-python/base58/base58-2.1.1.ebuild b/dev-python/base58/base58-2.1.1.ebuild
index a394f51e4020..33db65a44be2 100644
--- a/dev-python/base58/base58-2.1.1.ebuild
+++ b/dev-python/base58/base58-2.1.1.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
BDEPEND="
test? (
diff --git a/dev-python/cmd2/cmd2-2.7.0.ebuild b/dev-python/cmd2/cmd2-2.7.0.ebuild
index a18a4b315fd1..af60a2732ad9 100644
--- a/dev-python/cmd2/cmd2-2.7.0.ebuild
+++ b/dev-python/cmd2/cmd2-2.7.0.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~ppc64 ~riscv ~s390 x86"
+KEYWORDS="~alpha amd64 arm arm64 ~mips ~ppc64 ~riscv ~s390 x86"
RDEPEND="
>=dev-python/pyperclip-1.8[${PYTHON_USEDEP}]
diff --git a/dev-python/django-otp/Manifest b/dev-python/django-otp/Manifest
index 15176290ecc2..afbca993cf1a 100644
--- a/dev-python/django-otp/Manifest
+++ b/dev-python/django-otp/Manifest
@@ -1,2 +1,2 @@
-DIST django_otp-1.6.1.tar.gz 74134 BLAKE2B fcd3fcdab38f98cef3330ad36008f74f58134a1ea82440caa56a901575ad63805242969689e0381ae0823d70d4a7790c3e9703b6a8d1e3fa30bf10aa5be1bfc2 SHA512 7fdcbc53e7c210b4d8332b6facfefa7bd3d4f51df30f180be3936474da5a2bc604841e964114d2a8826a85839de2088e0e189779c47f7ab98473e575b5e3ffdf
DIST django_otp-1.6.2.tar.gz 74228 BLAKE2B b4abf0d0aa9a56632d0d498f3d5006ab7a90c4fff73c431f2c7489b6ad5e6452071fb18ea6b69fb92ffe8e5f0c9a736b30d5b883294769ddee901e7a86b766d8 SHA512 39015bec2c2c306cf247bf12ed33a6b84314f6155f730368c50d5354c09315977cc6cc2653562c0987641cc2820c7a4149b4c85eac53baef8c80f59257c8fdf3
+DIST django_otp-1.6.3.tar.gz 74641 BLAKE2B eac8399251e35d0aa768a05816f06649afac65bd67462c5b0a3f04b68c4b914c8998bb90e244ca2bbdd6d766fec27611d9541703aa9954db83dcaff88cfa029f SHA512 3e671e643d37b734ec4e2808ce50d7636315a57dd59c9466ee2ededd4a94201f2340b0d1dc711106c0af154cca5229b4688d05db9085bc48483385ca534d6753
diff --git a/dev-python/django-otp/django-otp-1.6.1.ebuild b/dev-python/django-otp/django-otp-1.6.3.ebuild
index e6bf528bf80e..e6bf528bf80e 100644
--- a/dev-python/django-otp/django-otp-1.6.1.ebuild
+++ b/dev-python/django-otp/django-otp-1.6.3.ebuild
diff --git a/dev-python/dnspython/dnspython-2.8.0.ebuild b/dev-python/dnspython/dnspython-2.8.0.ebuild
index da808d16a723..c7311ece58c9 100644
--- a/dev-python/dnspython/dnspython-2.8.0.ebuild
+++ b/dev-python/dnspython/dnspython-2.8.0.ebuild
@@ -18,7 +18,7 @@ HOMEPAGE="
LICENSE="ISC"
SLOT="0"
-KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~m68k ppc ppc64 ~riscv x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~m68k ~mips ppc ppc64 ~riscv x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
IUSE="dnssec examples https quic"
RDEPEND="
diff --git a/dev-python/gssapi/gssapi-1.10.0.ebuild b/dev-python/gssapi/gssapi-1.10.0.ebuild
index 56f3baacca4b..903b743abf37 100644
--- a/dev-python/gssapi/gssapi-1.10.0.ebuild
+++ b/dev-python/gssapi/gssapi-1.10.0.ebuild
@@ -22,7 +22,7 @@ S="${WORKDIR}"/python-${P}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 arm ~arm64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="amd64 arm arm64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86"
RDEPEND="
dev-python/decorator[${PYTHON_USEDEP}]
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 44bc76bf7f01..650c0903c41e 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,3 +1,4 @@
DIST hypothesis-6.139.2.gh.tar.gz 9623909 BLAKE2B 2b509474e06169191087932a47a0564fc5babf0f1e2acddd4f95d7d411befea444a80c7d7fea9c8582fb6ddc8153388a52a7a29d917f4f5ea8c142c8345e9036 SHA512 ffd797bc2ed6591fd67b2639665c606c1814a7ee2cca1b1f4272ef505a3ad83883988feb2dc32e4a92813c540dd485594d2c332e945ad7f58b9eb276af733869
DIST hypothesis-6.142.2.gh.tar.gz 9624421 BLAKE2B b211bf50f2311e8854197a7b9350248885db01efd9d11447f618cf6a4dd89fb7c41de6a3d25485f7152aa04d4e463150253b31580fd3165975f87b97e351f6d3 SHA512 cfd43aafbe45fc575ebd746b8fac4c0932fcf46b78d64f6d9e419f55a1fca05c417915a714ceb57d0e251751cfbc5b1f4db6e91b8227bedf8702b6d095bf1a96
DIST hypothesis-6.142.3.gh.tar.gz 9624774 BLAKE2B 0c61fc5cde52c782a11670ae09cb11bf3f322a64d1bed9d620a95aea3aed0318bcf4b4daf504d26bcb37e9cface73dee1df6b11099e4378a81d27f5890118f93 SHA512 f854fed77c4363d305f2f71a41ed517f81febcad6a6d401c053060605a9615637ec1ac9dc3fa88bf91eddbcdb57b82693efbdf12635a9b9d0de17340c52f7c2d
+DIST hypothesis-6.142.4.gh.tar.gz 9624807 BLAKE2B ca10595f6d76b6b707428a9bbf432ddb3e61890b6e529b984ce8231ac3d0b7070e6a311f1a7f70e2c82f673694f3e39bd8a8dad716f5bdb02fdec08aa4f2205f SHA512 a34749a558bd688f66201601a5ce29f1180e6b5fe3d0c07da9f72f1c0152ea9bc516797e917a287a8a6b9da1c09886cf97c934a154fc090083b2b9cf37492426
diff --git a/dev-python/hypothesis/hypothesis-6.142.4.ebuild b/dev-python/hypothesis/hypothesis-6.142.4.ebuild
new file mode 100644
index 000000000000..69da4112ef36
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.142.4.ebuild
@@ -0,0 +1,125 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{11..13} )
+PYTHON_COMPAT=( python3_{10..14} )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8[${PYTHON_USEDEP}]
+ )
+"
+PDEPEND="
+ dev-python/hypothesis-gentoo[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGIN_LOAD_VIA_ENV=1
+EPYTEST_PLUGINS=( "${PN}" pytest-xdist )
+EPYTEST_RERUNS=5
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ python3.13t)
+ EPYTEST_DESELECT+=(
+ # TODO: missing warning
+ 'hypothesis-python/tests/cover/test_random_module.py::test_passing_referenced_instance_within_function_scope_warns'
+ )
+ ;;
+ python3.14*)
+ EPYTEST_DESELECT+=(
+ 'hypothesis-python/tests/cover/test_compat.py::test_resolve_fwd_refs[Foo-Union]'
+ 'hypothesis-python/tests/cover/test_lookup.py::test_builds_suggests_from_type[Union]'
+ hypothesis-python/tests/cover/test_attrs_inference.py::test_attrs_inference_builds
+ hypothesis-python/tests/cover/test_lookup.py::test_bytestring_not_treated_as_generic_sequence
+ hypothesis-python/tests/cover/test_lookup.py::test_issue_4194_regression
+ hypothesis-python/tests/cover/test_lookup.py::test_resolves_forwardrefs_to_builtin_types
+ hypothesis-python/tests/cover/test_lookup.py::test_specialised_collection_types
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_collection_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_container_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_contextmanager_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_iterable_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_reversible_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_sequence_as_generic
+ hypothesis-python/tests/cover/test_random_module.py::test_evil_prng_registration_nonsense
+ hypothesis-python/tests/cover/test_random_module.py::test_passing_referenced_instance_within_function_scope_warns
+ hypothesis-python/tests/cover/test_random_module.py::test_register_random_within_nested_function_scope
+ hypothesis-python/tests/cover/test_random_module.py::test_registering_a_Random_is_idempotent
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_missing_dot_access_forward_ref
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_missing_forward_ref
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_type_checking_only_forward_ref_wrong_type
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_type_cheking_only_forward_ref
+ )
+ ;;
+ esac
+
+ local -x HYPOTHESIS_NO_PLUGINS=1
+ epytest -o filterwarnings= tests/{cover,pytest,quality}
+}
+
+src_install() {
+ local HAD_CLI=
+
+ distutils-r1_src_install
+
+ if [[ ! ${HAD_CLI} ]]; then
+ rm -r "${ED}/usr/bin" || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install
+ if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ HAD_CLI=1
+ else
+ rm -r "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/lxml/lxml-6.0.2.ebuild b/dev-python/lxml/lxml-6.0.2.ebuild
index 04f3ffa3c0e8..11474ebba809 100644
--- a/dev-python/lxml/lxml-6.0.2.ebuild
+++ b/dev-python/lxml/lxml-6.0.2.ebuild
@@ -23,7 +23,7 @@ S=${WORKDIR}/lxml-${P}
LICENSE="BSD ElementTree GPL-2 PSF-2"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~loong ~m68k ~mips ~ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="doc examples +threads test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/matplotlib-venn/matplotlib-venn-1.1.2.ebuild b/dev-python/matplotlib-venn/matplotlib-venn-1.1.2.ebuild
index da114ff70759..b0592741ff26 100644
--- a/dev-python/matplotlib-venn/matplotlib-venn-1.1.2.ebuild
+++ b/dev-python/matplotlib-venn/matplotlib-venn-1.1.2.ebuild
@@ -34,14 +34,10 @@ BDEPEND="
)
"
+EPYTEST_PLUGINS=()
distutils_enable_tests pytest
-python_test() {
- local EPYTEST_DESELECT=(
- # TODO: some minor number mismatch
- matplotlib_venn/layout/venn3/cost_based.py::matplotlib_venn.layout.venn3.cost_based.LayoutAlgorithm
- )
-
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- epytest
-}
+EPYTEST_DESELECT=(
+ # TODO: some minor number mismatch
+ matplotlib_venn/layout/venn3/cost_based.py::matplotlib_venn.layout.venn3.cost_based.LayoutAlgorithm
+)
diff --git a/dev-python/minify-html/Manifest b/dev-python/minify-html/Manifest
index 6f330b50c654..a09f871d60ec 100644
--- a/dev-python/minify-html/Manifest
+++ b/dev-python/minify-html/Manifest
@@ -1,4 +1,6 @@
DIST minify-html-0.16.4-crates.tar.xz 21961636 BLAKE2B ab6b61fd2a4c1f20203a73419afd5b4f25fdb3f5a3490cfeb1b521642a4403a77b0fbe9d0d036c682dbb165506891a0283c3fd513efcad751679ba7b9efc8f28 SHA512 74f0985390418f0bbaaf88334e87c8135e2dc652a645c3ceaaf3e6ac297ad7de6e49b664232de86fe2a0770910bf94357c230f9f3c7ea4686f6250f00a65c61d
DIST minify-html-0.18.0-crates.tar.xz 24185204 BLAKE2B 3df93b17d5dc68e628fe7c033d67d866f82b075336c3f5097e00e923d0dd8cc883c97dd6ced158a1f2a70f75f506c8f06cbf2ca1f97884128386a5b2ec1778c4 SHA512 75c9c579a5877eadafb05b474fb936e9bf8437bd0f635ee3647d920d5d0503306a6e9e88851fa8d235072942a152d5581971f106c6cc8b92302888abf445f396
+DIST minify-html-0.18.1-crates.tar.xz 24178360 BLAKE2B d281c1ee5b76b5a03bcca0f9d51b7fc283384bbb21ad29d2c6facd1721a113c4210ffc148e6976490b8b155c33d5f04a88879fa6ca48a9b52a79dd2321110a42 SHA512 567db0e678a717825a6d2853a92d29ca611c325062ed07a1049d0a297d320a63828fe6ddffe672b622e8f1810b342e81f9b5b8d1f63c4e38fe26c405edead1cc
DIST minify_html-0.16.4.tar.gz 92052 BLAKE2B 1f67e8f260483529e76196d74060213da319339aa6f6358d1032222b5e10275ac414ffccd3341acc574f5c7030bd0b7fa294b954c7044002e56101ee5d370909 SHA512 a74f9eb6648e6a84c6ad88e77193361f9c57b237b1b3a3ab8b3655aa0a80cfe75d0262b9219f715080f3cc11696bdf291d5d9cf62e2f8eac9b0d160a881e63da
DIST minify_html-0.18.0.tar.gz 96606 BLAKE2B e8653341c89596fa2e2fe4305aa7c55c0bebc624f8d795fabbac5d5fbb6a412900caff2bb0bf7c486a1e522b49602cf04f175cdd84d0db0a3c42a2be197f0f03 SHA512 e5726e73ba57a9717c5fbf5a68bc367c5890e9574e2b21bbde1a3f77631a560c39fa4f1b14caa87bf5b015ab3ffad648cb46a995d3dabdbd57f31ac9ce11714c
+DIST minify_html-0.18.1.tar.gz 96577 BLAKE2B 0382c712db11cbcb1d903d8405b2d60093ccabbd15e3160a710747a252deed5df17c0fd490d20a3cabe8da91fddb78eee263b61c29876b1f8bed3da36f8e4337 SHA512 fccec4fecb537a8c9c41ee6326408c414a541e542b13346b49c4c728692edb822f38754baecd9817350caf0cd7e929dccad6c3818646e9fdc8969f54762d9eac
diff --git a/dev-python/minify-html/minify-html-0.18.1.ebuild b/dev-python/minify-html/minify-html-0.18.1.ebuild
new file mode 100644
index 000000000000..6137524f39c2
--- /dev/null
+++ b/dev-python/minify-html/minify-html-0.18.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( python3_{10..14} )
+
+CRATES=""
+RUST_MIN_VER="1.88.0"
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Extremely fast and smart HTML + JS + CSS minifier"
+HOMEPAGE="
+ https://github.com/wilsonzlin/minify-html/
+ https://pypi.org/project/minify-html/
+"
+SRC_URI+="
+ https://github.com/gentoo-crate-dist/minify-html/releases/download/v${PV}/${P}-crates.tar.xz
+"
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD ISC MIT MPL-2.0
+ Unicode-3.0
+"
+# ring crate
+LICENSE+=" openssl"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/minify_html/minify_html.*.so"
+
+src_prepare() {
+ sed -i -e '/strip/d' Cargo.toml || die
+ # upstream is adding Cargo.lock into wheels, but we don't have it
+ # for crate dists, so we end up using newer versions
+ rm Cargo.lock || die
+ distutils-r1_src_prepare
+}
+
+python_test_all() {
+ cargo_src_test
+}
diff --git a/dev-python/mygpoclient/mygpoclient-1.10.ebuild b/dev-python/mygpoclient/mygpoclient-1.10.ebuild
index 6755f903b942..d3c81c2b23b1 100644
--- a/dev-python/mygpoclient/mygpoclient-1.10.ebuild
+++ b/dev-python/mygpoclient/mygpoclient-1.10.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -29,4 +29,5 @@ BDEPEND="
)
"
+EPYTEST_PLUGINS=()
distutils_enable_tests pytest
diff --git a/dev-python/mypy/mypy-1.18.1.ebuild b/dev-python/mypy/mypy-1.18.1.ebuild
index c522176f213f..c24d0455714b 100644
--- a/dev-python/mypy/mypy-1.18.1.ebuild
+++ b/dev-python/mypy/mypy-1.18.1.ebuild
@@ -22,7 +22,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~loong ppc ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="amd64 ~arm arm64 ~loong ppc ppc64 ~riscv ~s390 ~sparc x86"
IUSE="+native-extensions"
# stubgen collides with this package: https://bugs.gentoo.org/585594
diff --git a/dev-python/nbxmpp/nbxmpp-6.3.0.ebuild b/dev-python/nbxmpp/nbxmpp-6.3.0.ebuild
index f889ed9bc252..6b5353383687 100644
--- a/dev-python/nbxmpp/nbxmpp-6.3.0.ebuild
+++ b/dev-python/nbxmpp/nbxmpp-6.3.0.ebuild
@@ -24,7 +24,7 @@ SLOT="0"
KEYWORDS="amd64 arm64 ~loong ~riscv x86"
RDEPEND="
- dev-libs/gobject-introspection
+ >=dev-libs/gobject-introspection-1.82.0-r2
net-libs/libsoup:3.0[introspection]
dev-python/idna[${PYTHON_USEDEP}]
dev-python/packaging[${PYTHON_USEDEP}]
diff --git a/dev-python/nbxmpp/nbxmpp-6.3.1.ebuild b/dev-python/nbxmpp/nbxmpp-6.3.1.ebuild
index 796194093be7..1b5028baa015 100644
--- a/dev-python/nbxmpp/nbxmpp-6.3.1.ebuild
+++ b/dev-python/nbxmpp/nbxmpp-6.3.1.ebuild
@@ -24,7 +24,7 @@ SLOT="0"
KEYWORDS="~amd64 ~arm64 ~loong ~riscv ~x86"
RDEPEND="
- dev-libs/gobject-introspection
+ >=dev-libs/gobject-introspection-1.82.0-r2
net-libs/libsoup:3.0[introspection]
dev-python/idna[${PYTHON_USEDEP}]
dev-python/packaging[${PYTHON_USEDEP}]
diff --git a/dev-python/numexpr/numexpr-2.12.1.ebuild b/dev-python/numexpr/numexpr-2.12.1.ebuild
index 31d80fd5c7c1..bc44088f2550 100644
--- a/dev-python/numexpr/numexpr-2.12.1.ebuild
+++ b/dev-python/numexpr/numexpr-2.12.1.ebuild
@@ -22,7 +22,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~loong ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
DEPEND="
>=dev-python/numpy-2.0.0_rc:=[${PYTHON_USEDEP}]
diff --git a/dev-python/pikepdf/Manifest b/dev-python/pikepdf/Manifest
index e69377a74d05..39925da727c6 100644
--- a/dev-python/pikepdf/Manifest
+++ b/dev-python/pikepdf/Manifest
@@ -1,3 +1,4 @@
+DIST pikepdf-10.0.0.tar.gz 4547153 BLAKE2B 1aec2fcb6ac6a68277f434e792484cf817b42bbb966bf0cbb7f9254e91cf2ff84da280e83fffd6d00dcb071f6473c5fb805c75a5cc3f7c5b9ef247c50237b70c SHA512 94460851b8557b828545799e0571d965ac8f1da761113bea2671b4bb60a9d296f710c8c936c1547826f2e647ba7c3cd3efad17f844363ab5ba2e36975e838210
DIST pikepdf-9.10.1.tar.gz 4545682 BLAKE2B 164647ec13bbba5685c5965a68ff8530f66b7c015dba7394f84b32963fae318aa9c9f1b99733b5c5052e3b90fe52c4470bd92e829a8cfb0e5d12588cc996df0c SHA512 bfe95eb94b2738769bf1af537d853d7c8396f5d1ff3c155f9958a4646eed35fa98118c50febd8002863feac5075645fa2eb6fcd5be3b726d5f185833d28c5cf3
DIST pikepdf-9.10.2.tar.gz 4545737 BLAKE2B 3ac3c0c39a849b1d4c62f4435bef87cd8cb5b09c3e5cd9f1598cc0c1e1611fc0db0b80e7818c98505c021c61fdfc6ef2d9b6a901b6f4f730efe13a8c6fe37dd7 SHA512 3dc41d4f547cf68f6d05cefbef74f5e18b25a9f5900d2b5352aea50eda253a4c01ac4e1f69384a924d9ff5b042ed7c93ce7d5424e476dd3e8b8b52daeef15229
DIST pikepdf-9.11.0.tar.gz 4546289 BLAKE2B 267a8f834cf9da21a5d8f4b5e4734eaaaa9889f9ae919e6c9f030ffda3a36e951f3a8aedecc8168234264ffd5792ca1eefc2e1833ec8a6b540b0978a5638e8e4 SHA512 b92c1aa285935faccf8f1058aff25bf1ba906d8e6e4cca986f6fed59c2faf9cb9f1c5a3aeebd2899dac7fbe2489af627c76a751963657aa476c16eb1374b34ad
diff --git a/dev-python/pikepdf/pikepdf-10.0.0.ebuild b/dev-python/pikepdf/pikepdf-10.0.0.ebuild
new file mode 100644
index 000000000000..ba5365de8e44
--- /dev/null
+++ b/dev-python/pikepdf/pikepdf-10.0.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python library to work with pdf files based on qpdf"
+HOMEPAGE="
+ https://github.com/pikepdf/pikepdf/
+ https://pypi.org/project/pikepdf/
+"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="big-endian"
+
+# Check QPDF_MIN_VERSION in pyproject.toml on bumps, as well as
+# https://qpdf.readthedocs.io/en/stable/release-notes.html.
+DEPEND="
+ >=app-text/qpdf-11.5.0:0=
+"
+RDEPEND="
+ ${DEPEND}
+ dev-python/deprecated[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.0[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/pillow-10.0.1[lcms,${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pybind11-3[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-77.0.3[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-scm-7.0.5[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/attrs-20.2.0[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.21.0[${PYTHON_USEDEP}]
+ >=dev-python/pillow-5.0.0[${PYTHON_USEDEP},jpeg,lcms,tiff]
+ >=dev-python/psutil-5.9[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
+ !big-endian? (
+ >=dev-python/python-xmp-toolkit-2.0.1[${PYTHON_USEDEP}]
+ )
+ media-libs/tiff[zlib]
+ )
+"
+
+EPYTEST_PLUGINS=( hypothesis pytest-timeout )
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ sed -e '/-n auto/d' -i pyproject.toml || die
+}
diff --git a/dev-python/psycopg/Manifest b/dev-python/psycopg/Manifest
index 3fdc1d53e8e7..324c6b50e3d2 100644
--- a/dev-python/psycopg/Manifest
+++ b/dev-python/psycopg/Manifest
@@ -1,5 +1,6 @@
DIST psycopg-3.2.10.gh.tar.gz 572879 BLAKE2B 20950385767bdb3d9d1553919424b8a80343f8a611de619da2888197ca2a139e5e2837e0521762d605b17ec3c1ee2bb73088a21709856f32351490588260f37e SHA512 aca15ce2563b3aa03d53c13ecd6a0f3a17e267a6214e899dc7aad8867dc944503c3cd23aec766903cff083df2c860d1c3a888539c684d38444b2a9af4781252a
DIST psycopg-3.2.11.gh.tar.gz 577490 BLAKE2B f0575616ba664335651612fb14328cd99c26680c190d260c4c0742877d04c6316552035ac11b7d9a029f629babe784ad1fc4631ce4ca5f9bd537c93b6cc71266 SHA512 f4385e251895abd46d03f2fba804d80073171a488e3f3363c9f98297b532b8c0570e657b93805acaf969bcaa730f0831fd97f8df14889ced8e48a4f064a8348a
+DIST psycopg-3.2.12.gh.tar.gz 582058 BLAKE2B be6732c9d8c0395e8875c0fcd679628b35b0b0454ade4ca7e447fd45b833e5a2617134ea876b01bdab2a0bac44e6074827b12d04039cc097bf8a38dcd3c5a138 SHA512 911d8f246e055b43be273bb9c41c6bda0c4ac55ba5c11cd2c80d2bea54d354893bfee64797bc55a823bb834e6792c31f139ea5e18196bfc6a64273d13f940f8b
DIST psycopg-3.2.9.gh.tar.gz 565735 BLAKE2B 5b9b16e5e310214bdbf12198a7b8d9d86ed7b7e947a33c7333fe79bca946b76f09c60ea25960d3cf3f99423598a65ce33b53bd6dc10a9c68a930a46068b54fd6 SHA512 3e455852dd19c9639a8ee18773486295ea76f9a16146997be9dd4f3f6350257440e0d8fff9494acb79e95f04e74c0c14ec7968694fe329abeb74edcfb297d4dd
DIST psycopg2-2.9.10.tar.gz 385672 BLAKE2B 4a3ad64f406c427b785ffeb85f6520aa67ed04de2d1749eb22d8275146b71ba451f7c04c9ead401d6f7a273781492cd6a5a36beba68b36b1e5203ee75f7df503 SHA512 d0916f6a645b5e87f89f2463dc22fad78340a85fbff320d099bf429a42557f40d3a4eebdc670768469aef1e9fcee60123767bfe49e1186e8574f95bfd6f46900
DIST psycopg2-2.9.11.tar.gz 379598 BLAKE2B 78608a2b4a9b1db9ba9873ce01b84f898489de8ff6db5522ecc2fa68606b0ef8cdab7f137c86cf840509c9161b329a2efc1e1aadc494b565226099e8651372ab SHA512 44f7b03d958dc62822be8a8c38d738c4016c3a1f860c824158b78ba0a23f04ca63377171b22a14e38b76df868458ede25f29e4643197912adb2f1a1db8c0d5c0
diff --git a/dev-python/psycopg/psycopg-3.2.10.ebuild b/dev-python/psycopg/psycopg-3.2.10.ebuild
index b2898e2ced7c..c41ef5b690cd 100644
--- a/dev-python/psycopg/psycopg-3.2.10.ebuild
+++ b/dev-python/psycopg/psycopg-3.2.10.ebuild
@@ -22,7 +22,7 @@ SRC_URI="
LICENSE="LGPL-3+"
SLOT="0"
-KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
IUSE="+native-extensions"
DEPEND="
diff --git a/dev-python/psycopg/psycopg-3.2.12.ebuild b/dev-python/psycopg/psycopg-3.2.12.ebuild
new file mode 100644
index 000000000000..cc0258a2a63d
--- /dev/null
+++ b/dev-python/psycopg/psycopg-3.2.12.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="PostgreSQL database adapter for Python"
+HOMEPAGE="
+ https://www.psycopg.org/psycopg3/
+ https://github.com/psycopg/psycopg/
+ https://pypi.org/project/psycopg/
+"
+SRC_URI="
+ https://github.com/psycopg/psycopg/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="+native-extensions"
+
+DEPEND="
+ native-extensions? (
+ >=dev-db/postgresql-8.1:=
+ )
+ !native-extensions? (
+ >=dev-db/postgresql-8.1:*
+ )
+"
+RDEPEND="
+ ${DEPEND}
+ >=dev-python/typing-extensions-4.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ native-extensions? (
+ dev-python/cython[${PYTHON_USEDEP}]
+ )
+ test? (
+ >=dev-db/postgresql-8.1[server]
+ >=dev-python/dnspython-2.1[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( anyio )
+distutils_enable_tests pytest
+
+python_compile() {
+ # Python code + ctypes backend
+ cd psycopg || die
+ distutils-r1_python_compile
+
+ # optional C backend
+ if use native-extensions && [[ ${EPYTHON} != pypy3* ]]; then
+ local DISTUTILS_USE_PEP517=standalone
+ cd ../psycopg_c || die
+ distutils-r1_python_compile
+ fi
+ cd .. || die
+}
+
+src_test() {
+ rm -r psycopg{,_c} || die
+
+ initdb -D "${T}"/pgsql || die
+ # TODO: random port
+ pg_ctl -w -D "${T}"/pgsql start \
+ -o "-h '' -k '${T}'" || die
+ createdb -h "${T}" test || die
+
+ local -x PSYCOPG_TEST_DSN="host=${T} dbname=test"
+ distutils-r1_src_test
+
+ pg_ctl -w -D "${T}"/pgsql stop || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # tests for the psycopg_pool package
+ tests/pool
+ # some broken mypy magic
+ tests/test_module.py::test_version
+ tests/test_module.py::test_version_c
+ tests/test_typing.py
+ tests/crdb/test_typing.py
+ # TODO, relying on undefined ordering in Python?
+ tests/test_dns_srv.py::test_srv
+ # requires pproxy?
+ tests/test_waiting_async.py::test_remote_closed
+ tests/test_waiting.py::test_remote_closed
+ )
+
+ case ${ARCH} in
+ arm|x86)
+ EPYTEST_DESELECT+=(
+ # TODO
+ tests/types/test_numpy.py::test_classes_identities
+ )
+ ;;
+ esac
+
+ local impls=( python )
+ if use native-extensions && [[ ${EPYTHON} != pypy3* ]]; then
+ impls+=( c )
+ fi
+
+ local -x PSYCOPG_IMPL
+ for PSYCOPG_IMPL in "${impls[@]}"; do
+ einfo "Testing with ${PSYCOPG_IMPL} implementation ..."
+ # leak and timing tests are fragile whereas slow tests are slow
+ epytest -k "not leak" \
+ -m "not timing and not slow and not flakey"
+ done
+}
diff --git a/dev-python/pycares/pycares-4.11.0.ebuild b/dev-python/pycares/pycares-4.11.0.ebuild
index 18c52709822f..16fd9325f289 100644
--- a/dev-python/pycares/pycares-4.11.0.ebuild
+++ b/dev-python/pycares/pycares-4.11.0.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
IUSE="test"
# Tests fail with network-sandbox, since they try to resolve google.com
PROPERTIES="test_network"
diff --git a/dev-python/pyenchant/pyenchant-3.3.0.ebuild b/dev-python/pyenchant/pyenchant-3.3.0.ebuild
index 751cdda6086a..0fef14dc8467 100644
--- a/dev-python/pyenchant/pyenchant-3.3.0.ebuild
+++ b/dev-python/pyenchant/pyenchant-3.3.0.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="LGPL-2.1"
SLOT="0"
-KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~mips ~ppc ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~mips ~ppc ppc64 ~riscv ~s390 ~sparc ~x86"
RDEPEND="
app-text/enchant:*
diff --git a/dev-python/pygobject/pygobject-3.48.2-r1.ebuild b/dev-python/pygobject/pygobject-3.48.2-r1.ebuild
index 6b809d9742d9..b747c8507662 100644
--- a/dev-python/pygobject/pygobject-3.48.2-r1.ebuild
+++ b/dev-python/pygobject/pygobject-3.48.2-r1.ebuild
@@ -20,7 +20,7 @@ RESTRICT="!test? ( test )"
RDEPEND="
>=dev-libs/glib-2.64:2
- >=dev-libs/gobject-introspection-1.64:=
+ >=dev-libs/gobject-introspection-1.82.0-r2:=
dev-libs/libffi:=
cairo? (
>=dev-python/pycairo-1.16.0[${PYTHON_USEDEP}]
diff --git a/dev-python/pygobject/pygobject-3.50.0.ebuild b/dev-python/pygobject/pygobject-3.50.0.ebuild
index e97b1785c860..c29187ebe985 100644
--- a/dev-python/pygobject/pygobject-3.50.0.ebuild
+++ b/dev-python/pygobject/pygobject-3.50.0.ebuild
@@ -21,7 +21,7 @@ RESTRICT="!test? ( test )"
RDEPEND="
>=dev-libs/glib-2.64:2
- >=dev-libs/gobject-introspection-1.64:=
+ >=dev-libs/gobject-introspection-1.82.0-r2:=
dev-libs/libffi:=
cairo? (
>=dev-python/pycairo-1.16.0[${PYTHON_USEDEP}]
diff --git a/dev-python/pygobject/pygobject-3.50.1.ebuild b/dev-python/pygobject/pygobject-3.50.1.ebuild
index 14e33bbbc08d..0205ebd39fae 100644
--- a/dev-python/pygobject/pygobject-3.50.1.ebuild
+++ b/dev-python/pygobject/pygobject-3.50.1.ebuild
@@ -21,7 +21,7 @@ RESTRICT="!test? ( test )"
RDEPEND="
>=dev-libs/glib-2.64:2
- >=dev-libs/gobject-introspection-1.64:=
+ >=dev-libs/gobject-introspection-1.82.0-r2:=
dev-libs/libffi:=
cairo? (
>=dev-python/pycairo-1.16.0[${PYTHON_USEDEP}]
diff --git a/dev-python/pylsqpack/pylsqpack-0.3.23.ebuild b/dev-python/pylsqpack/pylsqpack-0.3.23.ebuild
index ff24253560ab..c84ded046ff6 100644
--- a/dev-python/pylsqpack/pylsqpack-0.3.23.ebuild
+++ b/dev-python/pylsqpack/pylsqpack-0.3.23.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~riscv ~x86"
DEPEND="
dev-libs/ls-qpack:=
diff --git a/dev-python/pynacl/pynacl-1.6.0.ebuild b/dev-python/pynacl/pynacl-1.6.0.ebuild
index 951cbb37051b..35d992b64f90 100644
--- a/dev-python/pynacl/pynacl-1.6.0.ebuild
+++ b/dev-python/pynacl/pynacl-1.6.0.ebuild
@@ -21,7 +21,7 @@ SRC_URI="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~loong ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~loong ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux"
DEPEND="
dev-libs/libsodium:=
diff --git a/dev-python/pyqt5-sip/pyqt5-sip-12.17.1.ebuild b/dev-python/pyqt5-sip/pyqt5-sip-12.17.1.ebuild
index 0a649101c52f..7da4dcfe43a3 100644
--- a/dev-python/pyqt5-sip/pyqt5-sip-12.17.1.ebuild
+++ b/dev-python/pyqt5-sip/pyqt5-sip-12.17.1.ebuild
@@ -14,4 +14,4 @@ HOMEPAGE="https://pypi.org/project/PyQt5-sip/"
LICENSE="BSD-2"
SLOT="0/$(ver_cut 1)"
-KEYWORDS="amd64 ~arm ~arm64 ~loong ~ppc ppc64 ~riscv x86"
+KEYWORDS="amd64 ~arm arm64 ~loong ~ppc ppc64 ~riscv x86"
diff --git a/dev-python/python-distutils-extra/python-distutils-extra-2.47.ebuild b/dev-python/python-distutils-extra/python-distutils-extra-2.47.ebuild
index c35c9b656462..8a173b078417 100644
--- a/dev-python/python-distutils-extra/python-distutils-extra-2.47.ebuild
+++ b/dev-python/python-distutils-extra/python-distutils-extra-2.47.ebuild
@@ -27,7 +27,7 @@ DOCS=( doc/{README,FAQ} )
BDEPEND="
test? (
- dev-libs/gobject-introspection
+ >=dev-libs/gobject-introspection-1.82.0-r2
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/pygobject[${PYTHON_USEDEP}]
dev-util/intltool
diff --git a/dev-python/python-json-logger/python-json-logger-4.0.0_rc1.ebuild b/dev-python/python-json-logger/python-json-logger-4.0.0_rc1.ebuild
index f9add5ca60e6..c2b2aaf92981 100644
--- a/dev-python/python-json-logger/python-json-logger-4.0.0_rc1.ebuild
+++ b/dev-python/python-json-logger/python-json-logger-4.0.0_rc1.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 arm ~arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
BDEPEND="
test? (
diff --git a/dev-python/rich-argparse/rich-argparse-1.7.1.ebuild b/dev-python/rich-argparse/rich-argparse-1.7.1.ebuild
index 8f08c1985647..f9dfdd78a4cc 100644
--- a/dev-python/rich-argparse/rich-argparse-1.7.1.ebuild
+++ b/dev-python/rich-argparse/rich-argparse-1.7.1.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~ppc64 ~riscv ~s390 x86"
+KEYWORDS="~alpha amd64 arm arm64 ~mips ~ppc64 ~riscv ~s390 x86"
RDEPEND="
>=dev-python/rich-11.0.0[${PYTHON_USEDEP}]
diff --git a/dev-python/setproctitle/setproctitle-1.3.7.ebuild b/dev-python/setproctitle/setproctitle-1.3.7.ebuild
index 132c3d4ef85e..18f5c98bfc1c 100644
--- a/dev-python/setproctitle/setproctitle-1.3.7.ebuild
+++ b/dev-python/setproctitle/setproctitle-1.3.7.ebuild
@@ -19,7 +19,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
EPYTEST_PLUGINS=()
distutils_enable_tests pytest
diff --git a/dev-python/termcolor/Manifest b/dev-python/termcolor/Manifest
index 2e8042abf71a..3200565db2a0 100644
--- a/dev-python/termcolor/Manifest
+++ b/dev-python/termcolor/Manifest
@@ -1 +1,2 @@
DIST termcolor-3.1.0.py.tar.gz 14324 BLAKE2B 04c8ad649cd34fcb469ca261c2f4377f64a12f71a9cb05e9ee9426354a01b5d7cc03f1c92c8b66903c4cd9b5540d8f34b8a7ca8d04ba9b2d38bc050ae0e841e4 SHA512 1311d86fee4bc1c5a11c24ce57e8787347a5e72d6de283034ebd307b63248cc1e24b4b4dec2fc242f5c18f6a9a3b8f0ae197b43ff91809b9f558804ecceabe4b
+DIST termcolor-3.2.0.py.tar.gz 14423 BLAKE2B 09f54376bf0195634077a8ecbc8d2f87f686a2925906855420abd51779e6b390e356c9a83b2f3494122126b3f0737b108183d041140f2d8eaf970b50242668a5 SHA512 5e1fec1178fe610b7f11cffd94032e2207e56be2a3aa438835f98a6c8961d039e7247e004772eaf1dc378924f9907322b5fd73555f8f4a081565a3e840277d32
diff --git a/dev-python/termcolor/termcolor-3.2.0.ebuild b/dev-python/termcolor/termcolor-3.2.0.ebuild
new file mode 100644
index 000000000000..08fae8f30467
--- /dev/null
+++ b/dev-python/termcolor/termcolor-3.2.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="ANSI Color formatting for output in terminal"
+HOMEPAGE="
+ https://github.com/termcolor/termcolor/
+ https://pypi.org/project/termcolor/
+"
+# rename is for avoiding conflict with dev-cpp/termcolor
+SRC_URI="$(pypi_sdist_url) -> ${P}.py.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest